package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.EnterpriseApplication;

import java.util.List;

@ApiModel(value = "EnterpriseApplicationBeanWrapper",
        description = "Information related to Enterprise Application.")
public class EnterpriseApplicationBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute operation.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "Enterprise Application.", required = true)
    private EnterpriseApplication operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public EnterpriseApplication getOperation() {
        return operation;
    }

    public void setOperation(EnterpriseApplication operation) {
        this.operation = operation;
    }
}
